generator:
  class: sfPropelGenerator
  param:
    model_class:           BlogArticle
    theme:                 admin
    non_verbose_templates: true
    with_show:             false
    singular:              ~
    plural:                ~
    route_prefix:          blog_article
    with_propel_route:     1

    config:
      actions: ~
      fields:  ~
      list:    
        display: [title, =author, id, nb_comments, _partial]
        object_actions:
          _edit: ~
          _delete: ~
          addcomment:   { label: Add a comment, action: addComment }
      filter:  ~
      form:    
      edit:    
        title:          Editing article "%%title%%"
      new:     
        fields:
          title: {help: put something meaningful!, attributes: {class: foo}}
        display:
          "Post":       [title, content]
          "Workflow":   [author, created_at]
      